--- a/src/browsers/filebrowser/FileBrowser.cpp
+++ b/src/browsers/filebrowser/FileBrowser.cpp
@@ -102,7 +102,7 @@ FileBrowser::Private::readConfig()
     }
     else
     {
-        KIO::StatJob *statJob = KIO::stat( savedUrl, KIO::StatJob::DestinationSide, 0 );
+        KIO::StatJob *statJob = KIO::statDetails( savedUrl, KIO::StatJob::DestinationSide);
         statJob->exec();
         if( statJob->statResult().isDir() )
         {
--- a/src/core-impl/collections/audiocd/AudioCdCollection.cpp
+++ b/src/core-impl/collections/audiocd/AudioCdCollection.cpp
@@ -371,7 +371,7 @@ qint64
 AudioCdCollection::trackLength( int i ) const
 {
     QUrl kioUrl = audiocdUrl( trackWavFileName( i ) );
-    KIO::StatJob *statJob = KIO::stat( kioUrl );
+    KIO::StatJob *statJob = KIO::statDetails( kioUrl, KIO::StatJob::SourceSide );
     if ( statJob->exec() )
     {
         KIO::UDSEntry uds = statJob->statResult();
@@ -506,7 +506,7 @@ AudioCdCollection::noInfoAvailable()
 
     // This will find also data tracks on mixed CDs:
     // a better way to discover the available audio tracks should be found
-    while( KIO::stat( audiocdUrl( trackWav ), KIO::StatJob::SourceSide, 0 )->exec() )
+    while( KIO::statDetails( audiocdUrl( trackWav ), KIO::StatJob::SourceSide )->exec() )
     {
         debug() << "got track url: " << audiocdUrl( trackWav );
 
--- a/src/core-impl/collections/upnpcollection/UpnpQueryMakerInternal.cpp
+++ b/src/core-impl/collections/upnpcollection/UpnpQueryMakerInternal.cpp
@@ -92,7 +92,7 @@ void UpnpQueryMakerInternal::runStat( co
     query.addQueryItem( "id", id );
     url.setQuery( query );
     debug() << "STAT URL" << url;
-    KIO::StatJob *job = KIO::stat( url, KIO::HideProgressInfo );
+    KIO::StatJob *job = KIO::statDetails( url, KIO::StatJob::SourceSide, KIO::StatDefaultDetails, KIO::HideProgressInfo );
     connect( job, &KJob::result, this, &UpnpQueryMakerInternal::slotStatDone );
     queueJob( job );
 }
